Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000382Frama-CKernel > Makefilepublic2010-01-22 14:012010-04-13 15:33
Reportermehdi 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090902 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000382: Should not call install-kernel-opt on bytecode architectures
DescriptionThe “install” target calls unconditionally “install-kernel-opt” which fails on bytecode-only architectures.

Please find attached a patch to fix this little issue.

Regards,
TagsNo tags attached.
Attached Filespatch file icon 0003-Do-not-install-native-Kernel-modules-on-bytecode-arc.patch [^] (707 bytes) 2010-01-22 14:01 [Show Content]

- Relationships

-  Notes
(0000650)
monate (reporter)
2010-01-24 16:32

Thanks a lot for the patch and for testing these corner cases.
It has been applied to the current svn.

- Issue History
Date Modified Username Field Change
2010-01-22 14:01 mehdi New Issue
2010-01-22 14:01 mehdi File Added: 0003-Do-not-install-native-Kernel-modules-on-bytecode-arc.patch
2010-01-22 20:21 signoles Status new => assigned
2010-01-22 20:21 signoles Assigned To => signoles
2010-01-24 16:32 monate Note Added: 0000650
2010-01-24 16:32 monate Status assigned => resolved
2010-01-24 16:32 monate Fixed in Version => Frama-C Bore
2010-01-24 16:32 monate Resolution open => fixed
2010-02-05 09:43 signoles Category Kernel => Kernel > Makefile
2010-02-05 09:43 signoles Description Updated
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker